<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <RootNamespace>api.watchlist_net6</RootNamespace>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="AWSSDK.DynamoDBv2" Version="3.7.3.23" />
        <PackageReference Include="AWSSDK.Extensions.NETCore.Setup" Version="3.7.2" />
        <PackageReference Include="FluentValidation.AspNetCore" Version="10.4.0" />
        <PackageReference Include="GraphQL" Version="4.6.1" />
        <PackageReference Include="GraphQL.MicrosoftDI" Version="4.6.1" />
        <PackageReference Include="GraphQL.Server.Authorization.AspNetCore" Version="5.0.2" />
        <PackageReference Include="GraphQL.Server.Transports.AspNetCore.SystemTextJson" Version="5.0.2" />
        <PackageReference Include="GraphQL.Server.Ui.Altair" Version="5.0.2" />
        <PackageReference Include="GraphQL.SystemTextJson" Version="4.6.1" />
        <PackageReference Include="MediatR" Version="10.0.1" />
        <PackageReference Include="MediatR.Extensions.Microsoft.DependencyInjection" Version="10.0.1" />
        <PackageReference Include="Microsoft.AspNetCore.Authorization" Version="6.0.3" />
        <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="6.0.4" />
        <PackageReference Include="Microsoft.Extensions.Caching.Abstractions" Version="6.0.0" />
        <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="6.0.0" />
        <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="6.0.0" />
        <PackageReference Include="Microsoft.Extensions.Options" Version="6.0.0" />
        <PackageReference Include="Microsoft.Extensions.Primitives" Version="6.0.0" />
        <PackageReference Include="Moq.EntityFrameworkCore" Version="6.0.1.2" />
        <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
        <PackageReference Include="Swashbuckle.AspNetCore" Version="6.1.5" />
    </ItemGroup>

    <ItemGroup>
        <Folder Include="Middleware" />
    </ItemGroup>

    <ItemGroup>
        <InternalsVisibleTo Include="api.watchlist-net6.UnitTest" />
    </ItemGroup>

</Project>
